produceGEOSubmissionFile {lumi} | R Documentation

## Produce GEO Sample Submission File in SOFT format

### Description

Produce GEO Sample Submission File in the SOFT format based on the provided LumiBatch object and sample information

### Usage

    produceGEOSubmissionFile(lumiNormalized, lumiRaw, lib.mapping = NULL, idType = 'Probe', sampleInfo = NULL, fileName = "GEOSubmissionFile.txt", supplementaryRdata = TRUE, ...)

### Arguments

`lumiNormalized` | The normalized data (LumiBatch object)
`lumiRaw` | The raw data (LumiBatch object), e.g., returned by `lumiR`
`lib.mapping` | The Illumina ID Mapping library, e.g., "lumiHumanIDMapping"
`idType` | the idType parameter of function `nuID2IlluminaID`
`sampleInfo` | The sample information filename or data.frame, which is returned by `produceGEOSampleInfoTemplate`
`fileName` | The file name of GEO Submission file
`supplementaryRdata` | determine whether produce the Rdata supplement data, which include both lumiNormalized and lumiRaw R objects.
`...` | other parameters used by function `nuID2IlluminaID`

### Details

The function produces the GEO sample submission file including both normalized and raw data information in the SOFT format. The sample information should be provided by the user as a data.frame or Tab separated text file following the format of the template, which can be produced by function `produceGEOSampleInfoTemplate`. Users need to fill in the detailed sample descriptions in the template, especially the Sample_title, Sample_description and some protocols. Users are also suggested to fill in the "Sample_platform_id" by checking information of the GEO Illumina platform.

When the parameter "supplementaryRdata" is TRUE, the R objects, lumiNormalized, lumiRaw and sampleInfo, will be saved in a file named 'supplementaryData.Rdata'.

### Value

Save the result as a text file in SOFT sample submission format. The supplementary Rdata will be saved in a file 'supplementaryData.Rdata'.

### Author(s)

Pan Du

### References

http://www.ncbi.nlm.nih.gov/projects/geo/info/soft2.html

### See Also

`produceGEOSampleInfoTemplate`, `produceGEOPlatformFile`

### Examples

    ## Not run
    ## Produce the sample information template
    # produceGEOSampleInfoTemplate(lumiNormalized, lib.mapping = NULL, fileName = "GEOsampleInfo.txt")
    ## After editing the 'GEOsampleInfo.txt' by filling in sample information
    # produceGEOSubmissionFile(lumiNormalized, lumiRaw, lib='lumiHumanIDMapping', sampleInfo='GEOsampleInfo.txt')

[Package lumi version 1.10.2 Index]